import 'package:flutter/material.dart';

class CoordinateRow extends StatelessWidget {
  final String label;
  final String value;

  const CoordinateRow({
    required this.label,
    required this.value,
  });

  @override
  Widget build(BuildContext context) {
    final colorScheme = Theme.of(context).colorScheme;

    return Row(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        SizedBox(
          width: 34,
          child: Text(
            label,
            style: Theme.of(context).textTheme.bodySmall?.copyWith(
                  color: colorScheme.onSurfaceVariant,
                  fontWeight: FontWeight.w600,
                ),
          ),
        ),
        Expanded(
          child: SelectableText(
            value,
            style: Theme.of(context).textTheme.bodyMedium?.copyWith(
              fontFeatures: const [
                FontFeature.tabularFigures(),
              ],
              fontWeight: FontWeight.w600,
            ),
          ),
        ),
      ],
    );
  }
}
